Cyberduck Mountain Duck CLI

#9911 closed defect (fixed)

Crash in _objectFromResponderChainWhichRespondsToAction when quitting application

Reported by: lombot Owned by:
Priority: normal Milestone: 6.2.6
Component: core Version: 5.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.12

Description (last modified by dkocher)

Using macOS Sierra 10.12.4, Cyberduck crashes on quit every time.

Crash Report:

Process:               Cyberduck [4394]
Path:                  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:            ch.sudo.cyberduck
Version:               5.4.0 (23761)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Cyberduck [4394]
User ID:               501

Date/Time:             2017-04-04 16:41:32.647 +1000
OS Version:            Mac OS X 10.12.4 (16E195)
Report Version:        12



Time Awake Since Boot: 23000 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x00004a4f07a0bec0
Exception Note:        EXC_CORPSE_NOTIFY

VM Regions Near 0x4a4f07a0bec0:
    VM_ALLOCATE            00000007c0360000-0000000800000000 [  1.0G] ---/rwx SM=NUL  
--> 
    MALLOC_NANO            0000600000000000-0000600000200000 [ 2048K] rw-/rwx SM=COW  

Application Specific Information:
Performing @selector(terminate:) from sender NSMenuItem 0x6080000ba640
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fffb3c02d42 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fffb3cf05bf pthread_kill + 90
2   libsystem_c.dylib             	0x00007fffb3b68420 abort + 129
3   libjvm.dylib                  	0x000000010186fd63 os::abort(bool) + 25
4   libjvm.dylib                  	0x0000000101996e3a VMError::report_and_die() + 2304
5   libjvm.dylib                  	0x000000010187198e JVM_handle_bsd_signal + 1131
6   libjvm.dylib                  	0x000000010186dbf3 signalHandler(int, __siginfo*, void*) + 47
7   libsystem_platform.dylib      	0x00007fffb3ce3b3a _sigtramp + 26
8   ???                           	0x0000600000049330 0 + 105553116566320
9   com.apple.AppKit              	0x00007fff9ba2c219 _objectFromResponderChainWhichRespondsToAction + 261
10  com.apple.AppKit              	0x00007fff9ba2bd1c _NSTargetForSendAction + 2754
11  com.apple.AppKit              	0x00007fff9c1a6633 -[NSApplication(NSResponder) sendAction:to:from:] + 106
12  com.apple.AppKit              	0x00007fff9bc8b000 -[NSControl sendAction:to:] + 86
13  com.apple.AppKit              	0x00007fff9bc8af28 __26-[NSCell _sendActionFrom:]_block_invoke + 136
14  libsystem_trace.dylib         	0x00007fffb3d063a7 _os_activity_initiate_impl + 53
15  com.apple.AppKit              	0x00007fff9bc8ae80 -[NSCell _sendActionFrom:] + 128
16  com.apple.AppKit              	0x00007fff9bccd875 -[NSButtonCell _sendActionFrom:] + 98
17  libsystem_trace.dylib         	0x00007fffb3d063a7 _os_activity_initiate_impl + 53
18  com.apple.AppKit              	0x00007fff9bc89762 -[NSCell trackMouse:inRect:ofView:untilMouseUp:] + 2481
19  com.apple.AppKit              	0x00007fff9bccd5ae -[NSButtonCell trackMouse:inRect:ofView:untilMouseUp:] + 798
20  com.apple.AppKit              	0x00007fff9bc88117 -[NSControl mouseDown:] + 832
21  com.apple.AppKit              	0x00007fff9c3222bf -[NSWindow(NSEventRouting) _handleMouseDownEvent:isDelayedEvent:] + 6341
22  com.apple.AppKit              	0x00007fff9c31eadc -[NSWindow(NSEventRouting) _reallySendEvent:isDelayedEvent:] + 1942
23  com.apple.AppKit              	0x00007fff9c31df7a -[NSWindow(NSEventRouting) sendEvent:] + 541
24  com.apple.AppKit              	0x00007fff9c1a26f1 -[NSApplication(NSEvent) sendEvent:] + 1145
25  com.apple.AppKit              	0x00007fff9bc2a377 -[NSApplication _shouldTerminate] + 1337
26  com.apple.AppKit              	0x00007fff9bc29823 -[NSApplication terminate:] + 780
27  libsystem_trace.dylib         	0x00007fffb3d063a7 _os_activity_initiate_impl + 53
28  com.apple.AppKit              	0x00007fff9c1a6791 -[NSApplication(NSResponder) sendAction:to:from:] + 456
29  com.apple.AppKit              	0x00007fff9bc799a2 -[NSMenuItem _corePerformAction] + 324
30  com.apple.AppKit              	0x00007fff9bc7970e -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 114
31  libsystem_trace.dylib         	0x00007fffb3d063a7 _os_activity_initiate_impl + 53
32  com.apple.AppKit              	0x00007fff9bd02c99 -[NSMenu performActionForItemAtIndex:] + 121
33  com.apple.AppKit              	0x00007fff9bd02c10 -[NSMenu _internalPerformActionForItemAtIndex:] + 94
34  com.apple.AppKit              	0x00007fff9bd02a3d -[NSCarbonMenuImpl _carbonCommandProcessEvent:handlerCallRef:] + 107
35  com.apple.AppKit              	0x00007fff9bbb9950 NSSLMMenuEventHandler + 986
36  com.apple.HIToolbox           	0x00007fff9d465d85 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 1708
37  com.apple.HIToolbox           	0x00007fff9d464ff6 SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 428
38  com.apple.HIToolbox           	0x00007fff9d47ad14 SendEventToEventTarget + 40
39  com.apple.HIToolbox           	0x00007fff9d4c73e6 SendHICommandEvent(unsigned int, HICommand const*, unsigned int, unsigned int, unsigned char, void const*, OpaqueEventTargetRef*, OpaqueEventTargetRef*, OpaqueEventRef**) + 411
40  com.apple.HIToolbox           	0x00007fff9d4f29fb SendMenuCommandWithContextAndModifiers + 59
41  com.apple.HIToolbox           	0x00007fff9d4f29aa SendMenuItemSelectedEvent + 188
42  com.apple.HIToolbox           	0x00007fff9d4f287d FinishMenuSelection(SelectionData*, MenuResult*, MenuResult*) + 96
43  com.apple.HIToolbox           	0x00007fff9d4f32b7 MenuSelectCore(MenuData*, Point, double, unsigned int, OpaqueMenuRef**, unsigned short*) + 702
44  com.apple.HIToolbox           	0x00007fff9d4f2f66 _HandleMenuSelection2 + 460
45  com.apple.AppKit              	0x00007fff9bba9738 _NSHandleCarbonMenuEvent + 239
46  com.apple.AppKit              	0x00007fff9be239ea _DPSEventHandledByCarbon + 54
47  com.apple.AppKit              	0x00007fff9c1a4135 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 963
48  com.apple.AppKit              	0x00007fff9ba1d7ab -[NSApplication run] + 926
49  libjnidispatch.dylib          	0x000000010d8d9134 ffi_call_unix64 + 76
50  libjnidispatch.dylib          	0x000000010d8d862d ffi_call + 973
51  libjnidispatch.dylib          	0x000000010d8ce3aa 0x10d8cb000 + 13226
52  libjnidispatch.dylib          	0x000000010d8ce753 Java_com_sun_jna_Native_invokeVoid + 35
53  ???                           	0x00000001111da8b4 0 + 4582123700
54  ???                           	0x00000001114d0a84 0 + 4585228932
55  ???                           	0x00000001111cd040 0 + 4582068288
56  ???                           	0x00000001111cd040 0 + 4582068288
57  ???                           	0x00000001111cd114 0 + 4582068500
58  ???                           	0x00000001111cd2bd 0 + 4582068925
59  ???                           	0x00000001111c57a7 0 + 4582037415
60  libjvm.dylib                  	0x00000001016d39d6 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 1710
61  libjvm.dylib                  	0x000000010170a7ce jni_invoke_static(JNIEnv_*, JavaValue*, _jobject*, JNICallType, _jmethodID*, JNI_ArgumentPusher*, Thread*) + 447
62  libjvm.dylib                  	0x0000000101703545 jni_CallStaticVoidMethod + 349
63  libjli.dylib                  	0x00000001013d6dc9 JavaMain + 2500
64  libjli.dylib                  	0x00000001013d8a28 -[JavaLaunchHelper launchJava:] + 42
65  com.apple.Foundation          	0x00007fff9f9ac84a __NSThreadPerformPerform + 326
66  com.apple.CoreFoundation      	0x00007fff9df4d3b1 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
67  com.apple.CoreFoundation      	0x00007fff9df2e63c __CFRunLoopDoSources0 + 556
68  com.apple.CoreFoundation      	0x00007fff9df2db26 __CFRunLoopRun + 934
69  com.apple.CoreFoundation      	0x00007fff9df2d524 CFRunLoopRunSpecific + 420
70  libjli.dylib                  	0x00000001013d98fd CreateExecutionEnvironment + 871
71  libjli.dylib                  	0x00000001013d5624 JLI_Launch + 1952
72  ch.sudo.cyberduck             	0x0000000101251487 launch + 2524
73  ch.sudo.cyberduck             	0x0000000101250985 main + 75
74  ch.sudo.cyberduck             	0x000000010124c930 start + 52

Change History (5)

comment:1 Changed on Apr 4, 2017 at 12:06:56 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Apr 11, 2017 at 1:16:46 PM by dkocher

  • Platform set to macOS 10.12
  • Summary changed from Crash on Quit Mac OS X to Crash in _objectFromResponderChainWhichRespondsToAction when quitting application

comment:3 Changed on Apr 11, 2017 at 1:17:11 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Aug 21, 2017 at 10:11:48 AM by dkocher

#10045 closed as duplicate.

comment:5 Changed on Sep 8, 2017 at 10:17:23 AM by dkocher

  • Milestone set to 6.2.6
  • Resolution set to fixed
  • Status changed from new to closed

In r42656.

Note: See TracTickets for help on using tickets.
swiss made software